IF NOT EXISTS (SELECT 1 FROM sys.objects WHERE object_id = OBJECT_ID('[dbo].[pub_address]') AND type = 'U')
CREATE TABLE [dbo].[pub_address]
(
    [ad_ip] bigint NOT NULL DEFAULT((0)),
    [ad_address] nvarchar(200) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [ad_date] datetime NULL DEFAULT(getdate()),
    CONSTRAINT [PK_PUB_ADDRESS] PRIMARY KEY ([ad_ip] ASC)
)